Bug 1276834 - (mongodb/mongodb) Review Request: php-mongodb - MongoDB driver library
Review Request: php-mongodb - MongoDB driver library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Hogarth
Fedora Extras Quality Assurance
:
Depends On: pecl/mongodb
Blocks: alcaeus/mongo-php-adapter
  Show dependency treegraph
 
Reported: 2015-10-31 04:19 EDT by Remi Collet
Modified: 2016-08-14 01:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-08 16:28:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
james.hogarth: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2015-10-31 04:19:12 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/5672be3196d197b375329ab8eead92c52d07cc15/php/php-mongodb/php-mongodb.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-mongodb-1.0.0-0.1.alpha1.remi.src.rpm
Description: 
This library provides a high-level abstraction around the lower-level drivers
for PHP and HHVM (i.e. the mongodb extension).

While the extension provides a limited API for executing commands, queries,
and write operations, this library implements an API similar to that of the
legacy PHP driver. It contains abstractions for client, database, and
collection objects, and provides methods for CRUD operations and common
commands (e.g. index and collection management).

To use this library, you just have to add, in your project:
  require_once '/usr/share/php/MongoDB/autoload.php';


Fedora Account System Username: remi
Comment 4 James Hogarth 2016-07-26 10:52:27 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

  * Extraneous boilerplate
    - Please remove non-fedora boilerplate when importing
  * Newer version avaliable
    - Please consider updating to 1.0.2 when importing
  * Not actively tested
    - Considering library works as check tests passing

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 143 files have unknown license.
     Detailed output of licensecheck in /home/james/workspace/fedora-
     scm/1276834-php-mongodb/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 92160 bytes in 15 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
     Note: Multiple Release: tags found
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

PHP:
[x]: Run phpci static analyze on all php files.
     Note: phpCompatInfo version 5.0.1 DB version 1.10.0 built Jul 05 2016
     08:19:35 CEST static analyze results in /home/james/workspace/fedora-
     scm/1276834-php-mongodb/phpci.log


Rpmlint
-------
Checking: php-mongodb-1.0.1-1.fc25.noarch.rpm
          php-mongodb-1.0.1-1.fc25.src.rpm
php-mongodb.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-mongodb.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-mongodb.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-mongodb.src: W: spelling-error %description -l en_US usr -> use, us, user
php-mongodb.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
php-mongodb.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-mongodb.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
1 packages and 0 specfiles checked; 0 errors, 2 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/james/workspace/fedora-scm/1276834-php-mongodb/srpm/php-mongodb.spec	2016-07-26 15:28:12.985758891 +0100
+++ /home/james/workspace/fedora-scm/1276834-php-mongodb/srpm-unpacked/php-mongodb.spec	2016-03-05 06:11:13.000000000 +0000
@@ -175,3 +175,2 @@
 * Sat Oct 31 2015 Remi Collet <remi@fedoraproject.org> - 1.0.0-0.1.alpha1
 - initial package
-


Requires
--------
php-mongodb (rpmlib, GLIBC filtered):
    php(language)
    php-composer(symfony/class-loader)
    php-pecl(mongodb)
    php-reflection
    php-spl



Provides
--------
php-mongodb:
    php-composer(mongodb/mongodb)
    php-mongodb



Source checksums
----------------
https://github.com/mongodb/mongo-php-library/archive/6093d68c06bebcc5361b9e49178725efd9182ed4/mongo-php-library-1.0.1-6093d68.tar.gz :
  CHECKSUM(SHA256) this package     : 76547814a46b73017786a7fd05d33908028b2c8eeeae4cd5b118343a92362b72
  CHECKSUM(SHA256) upstream package : 76547814a46b73017786a7fd05d33908028b2c8eeeae4cd5b118343a92362b72


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1276834
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

===== Results ====

Package is APPROVED on the basis of non-fedora boilerplate being removed
Comment 5 Remi Collet 2016-07-26 11:14:29 EDT
Thanks for the review!

New package requested on pkgdb.
Comment 6 Gwyn Ciesla 2016-07-26 12:36:36 EDT
Package request has been denied with the reason: please resubmit in rpms namespace
Comment 7 Gwyn Ciesla 2016-07-27 09:16:17 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-mongodb
Comment 8 Fedora Update System 2016-07-27 14:08:00 EDT
php-mongodb-1.0.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-af3c2e4b88
Comment 9 Fedora Update System 2016-07-27 14:08:37 EDT
php-mongodb-1.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab88fadf3d
Comment 10 Fedora Update System 2016-07-27 14:08:47 EDT
php-mongodb-1.0.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3b672fcd2
Comment 11 Fedora Update System 2016-07-28 23:56:03 EDT
php-mongodb-1.0.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3b672fcd2
Comment 12 Fedora Update System 2016-07-28 23:56:31 EDT
php-mongodb-1.0.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab88fadf3d
Comment 13 Fedora Update System 2016-07-29 03:19:27 EDT
php-mongodb-1.0.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-af3c2e4b88
Comment 14 Fedora Update System 2016-08-08 16:28:15 EDT
php-mongodb-1.0.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-08-08 19:55:02 EDT
php-mongodb-1.0.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-08-14 01:19:57 EDT
php-mongodb-1.0.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.